tidy.anova {broom} | R Documentation

## Tidy a(n) anova object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'anova'
    tidy(x, ...)

### Arguments

`x` | An `anova` objects, such as those created by `stats::anova()` or `car::Anova()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Details

The `term` column of an ANOVA table can come with leading or trailing whitespace, which this tidying method trims.

### Value

A tibble::tibble with columns

`term` | Term within the model, or "Residuals"
`df` | Degrees of freedom used by this term in the model
`sumsq` | Sum of squares explained by this term
`meansq` | Mean of sum of squares among degrees of freedom
`statistic` | F statistic
`p.value` | P-value from F test

### See Also

`tidy()`, `stats::anova()`, `car::Anova()`

Other anova tidiers: `tidy.TukeyHSD`, `tidy.aovlist`, `tidy.aov`, `tidy.manova`

### Examples

    a <- a <- aov(mpg ~ wt + qsec + disp, mtcars)
    tidy(a)

[Package broom version 0.5.2 Index]